Bug 95640 - FILEOPEN: Custom lists not imported from MSO XLSX files
Summary: FILEOPEN: Custom lists not imported from MSO XLSX files
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Serge Krot (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.2 target:6.4.7
Keywords: filter:xlsx
Depends on:
Blocks: XLSX
  Show dependency treegraph
 
Reported: 2015-11-06 16:28 UTC by Luke
Modified: 2020-09-11 14:30 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
example spreadsheet with a custom list (8.87 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2015-11-06 16:28 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2015-11-06 16:28:14 UTC
Created attachment 120330 [details]
example spreadsheet with a custom list

We currently support Custom lists(Tools->Options->Calc->Sort List), but we don't import them from MSO docs. 

Steps to reproduce:
1. Open the attached file in Calc
2. Open the attached file in Excel

Note in Excel, you have the option to Sort by "Low, Medium, High"
Comment 1 Luke 2015-11-06 19:39:25 UTC
If this feature was implemented, when you go to 
Data->Sort->Options->Custom Sort Order
You'd find: "Low, Medium, High" as an option
Comment 2 m.a.riosv 2015-11-07 00:26:38 UTC
Hi @Luke, thanks for reporting.

They are not saved neither in odf format, I don't find it in odf specification, maybe would be better change to request for enhancement.
Comment 3 Buovjaga 2015-11-11 11:23:19 UTC
Let's try enhancement to get this off unconfirmed status.
Comment 4 Luke 2018-04-28 17:40:50 UTC
Data->Sort->Options->Custom Sort Order
You still do not have: "Low, Medium, High" as an option in Version: 6.1.0.0.alpha1+ (x64) Build ID: a3783c0af4bd21eb9c001aadc60c660c06a47779
Comment 5 Commit Notification 2020-09-08 10:52:20 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a9f8f0a484965338221cad4f97d98f418b5ccff1

tdf#95640 XLSX: import/export of custom sort lists

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-09-09 06:50:06 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/e6bdfaaf572b592f7e8b510cb38f82a4aca41593

tdf#95640 XLSX: import/export of custom sort lists

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-09-09 15:10:04 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/a86ddd7fc0413f65ee7851eb09b15a24e5d457ba

tdf#95640 XLSX: import/export of custom sort lists

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.